
import os
import sys
import time
import json
import random

def list_files_in_directory(directory):
    """
    列出指定目录下的所有文件。

    :param directory: 要列出文件的目录路径
    :return: 包含目录下所有文件路径的列表
    """
    files_list = []
    for root, dirs, files in os.walk(directory):
        for file in files:
            files_list.append(os.path.join(root, file))
    return files_list

# 示例使用
directory_path = "/path/to/directory"
files = list_files_in_directory(directory_path)
print(json.dumps(files, indent=4))



